Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class PaneRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.PaneRecord

    public final class PaneRecord

extends StandardRecord

Describes the frozen and unfozen panes.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `ACTIVE_PANE_LOWER_LEFT`
`static short` | `ACTIVE_PANE_LOWER_RIGHT`
`static short` | `ACTIVE_PANE_UPER_LEFT` Deprecated. use ACTIVE_PANE_UPPER_LEFT
`static short` | `ACTIVE_PANE_UPPER_LEFT`
`static short` | `ACTIVE_PANE_UPPER_RIGHT`
`static short` | `sid`

Constructor Summary
`PaneRecord()`
`PaneRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getActivePane()` Get the active pane field for the Pane record.
`protected int` | `getDataSize()`
`short` | `getLeftColumn()` Get the left column field for the Pane record.
`short` | `getSid()` return the non static version of the id for this record.
`short` | `getTopRow()` Get the top row field for the Pane record.
`short` | `getX()` Get the x field for the Pane record.
`short` | `getY()` Get the y field for the Pane record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setActivePane(short field_5_activePane)` Set the active pane field for the Pane record.
`void` | `setLeftColumn(short field_4_leftColumn)` Set the left column field for the Pane record.
`void` | `setTopRow(short field_3_topRow)` Set the top row field for the Pane record.
`void` | `setX(short field_1_x)` Set the x field for the Pane record.
`void` | `setY(short field_2_y)` Set the y field for the Pane record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### ACTIVE_PANE_LOWER_RIGHT

    public static final short ACTIVE_PANE_LOWER_RIGHT

See Also:
  Constant Field Values

### ACTIVE_PANE_UPPER_RIGHT

    public static final short ACTIVE_PANE_UPPER_RIGHT

See Also:
  Constant Field Values

### ACTIVE_PANE_LOWER_LEFT

    public static final short ACTIVE_PANE_LOWER_LEFT

See Also:
  Constant Field Values

### ACTIVE_PANE_UPER_LEFT

    public static final short ACTIVE_PANE_UPER_LEFT

  Deprecated. use ACTIVE_PANE_UPPER_LEFT
  See Also:
    Constant Field Values

### ACTIVE_PANE_UPPER_LEFT

    public static final short ACTIVE_PANE_UPPER_LEFT

See Also:
  Constant Field Values

Constructor Detail

### PaneRecord

    public PaneRecord()

### PaneRecord

    public PaneRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getX

    public short getX()

  Get the x field for the Pane record.

### setX

    public void setX(short field_1_x)

  Set the x field for the Pane record.

### getY

    public short getY()

  Get the y field for the Pane record.

### setY

    public void setY(short field_2_y)

  Set the y field for the Pane record.

### getTopRow

    public short getTopRow()

  Get the top row field for the Pane record.

### setTopRow

    public void setTopRow(short field_3_topRow)

  Set the top row field for the Pane record.

### getLeftColumn

    public short getLeftColumn()

  Get the left column field for the Pane record.

### setLeftColumn

    public void setLeftColumn(short field_4_leftColumn)

  Set the left column field for the Pane record.

### getActivePane

    public short getActivePane()

  Get the active pane field for the Pane record.

  Returns:
    One of ACTIVE_PANE_LOWER_RIGHT ACTIVE_PANE_UPPER_RIGHT ACTIVE_PANE_LOWER_LEFT ACTIVE_PANE_UPPER_LEFT

### setActivePane

    public void setActivePane(short field_5_activePane)

  Set the active pane field for the Pane record.

  Parameters:
    `field_5_activePane` - One of ACTIVE_PANE_LOWER_RIGHT ACTIVE_PANE_UPPER_RIGHT ACTIVE_PANE_LOWER_LEFT ACTIVE_PANE_UPPER_LEFT

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.